Support » Plugin: Poll, Survey & Quiz Maker Plugin by Opinion Stage » Conflict with WordPress 5.5

  • Resolved XIIIzen

    (@xiiizen)


    Once I updated my site to WordPress 5.5, I noticed that any flyout menus in the admin are not working at all.

    I noticed the following errors in my console:

    
    Uncaught TypeError: $(...).live is not a function
        at HTMLDocument.<anonymous> (update-core.php:494)
        at i (load-scripts.php?c=0&load[chunk_0]=jquery,utils&ver=5.5:2)
        at Object.fireWith [as resolveWith] (load-scripts.php?c=0&load[chunk_0]=jquery,utils&ver=5.5:2)
        at Function.ready (load-scripts.php?c=0&load[chunk_0]=jquery,utils&ver=5.5:2)
        at HTMLDocument.J (load-scripts.php?c=0&load[chunk_0]=jquery,utils&ver=5.5:2)
    

    Upon deactivating your plugin the issue is completely fixed. So I’m assuming there is an error on the javascript your plugin is adding to the admin side of things:

    
    <script>
    		jQuery(document).ready(function ($) {				
    		   	$('.filter__itm').live('click', function(e) {
    			   	var text = $(this).text();
    		   		$("button#dropbtn span").text(text);
    		   		
    		   		$('.dropdown_items .dropdown-content').attr('style', 'display: none !important');
    			});
    			
    		   	setTimeout(function(){
    		   	$(".dropdown_items #dropbtn").hover(function() {
    				  $('.dropdown_items .dropdown-content').css("display","block");
    				});
    		   	},3000);
    
    			jQuery(document).live('click', function(e) {
    				$('.dropdown_items .dropdown-content').attr('style', 'display: none !important');
    			});
    			
    			$('div#show-templates').live('click', function(e) {
    				var inputs = $(".filter__itm");
                   	for(var i = 0; i < inputs.length; i++){
                       	if($(inputs[i]).text() == 'story article'){
                        	$(inputs[i]).hide();
                        	break; 
                        }
                    }
    			});
    		});
    	</script>  <script>
        jQuery(document).ready(function ($) {       
            $('span#oswpLauncherContentPopupExamples').parent().attr({'data-opinionstage-content-launch':"", 'data-os-view':"examples"});
            $('span#oswpLauncherContentPopup').parent().attr({'data-opinionstage-content-launch':"", 'data-os-view':"content"});
            $('span#oswpLauncherContentPopupExamples').parent().on('click',function(e){
              var dataView = $(this).attr('data-os-view');           
                  if(dataView == 'examples'){
                    setTimeout(function(){$('div#show-templates').trigger('click');},2000); 
                  }  
            });
              $('span#oswpLauncherContentPopup').parent().on('click',function(e){    
                e.preventDefault();
                $('div#view-items').trigger('click');
              });
          });
      </script>
    

    Hope this quick report helps fix the issue. 🙂

Viewing 11 replies - 1 through 11 (of 11 total)
  • This is ridiculous. .live was removed in jquery 1.9. It’s been considered deprecated since 2013, replaced with .on. I can’t believe anything is still using it.

    Additionally, this is causing issues with other plugins.

    I had to disable this plugin to be able to navigate the menus in Elementor.

    You claim that this has been tested up to 5.5… no, it wasn’t.

    Plugin Author opinion stage

    (@opinionstage)

    Hi there –
    Really sorry for this glitch. We updated the readme file to reflect we don’t yet properly support 5.5. We are working on fixing that and will notify you here as soon as we have a new plugin version. sorry for the inconvenience and thank you for notifying us
    O/S Team.

    Latest update 19.6.39 to fix compatibility issue still didn’t work on my site.

    Attempting to verify everything in “staging” first before I upgrade my main site to WP 5.5.

    Plugin Author opinion stage

    (@opinionstage)

    Hi bjrnet21,
    Can you be more specific on what isn’t working for you?
    Thanks!

    Just tested this under Google Chrome and Edge using WP 5.5. Your plugin works on these browsers with WP 5.5!

    I was using Firefox 79.0 so it looks like Firefox is having an issue with WP 5.5.

    Under Firefox and WP 5.5, the OpinionStage page is “blank” for the user. In other words, my OpinionStage polls do not load under WP 5.5 and Firefox. Your version 19.6.39 page still indicates “compatible up to 5.4.2” although the update indicated “fix WordPress 5.5 compatibility issues”.

    I am working on a WP 5.5 staging site and I have a few other plugins that are broke or not working as intended under Firefox including:
    Relevanssi
    A3 Lazy Load
    CM Tooltip Glossary

    My main site (Currently WP 5.4) is BlackjackReview.com.

    Plugin Author opinion stage

    (@opinionstage)

    Could you send a link to the location of the poll so we can see if we can reproduce your issue?

    I just did a few tests. I deactivated Autoptimize and your plugin worked again. Also, the other plugins that had issues (Relevanssi, CM Tooltip Glossary, A3 Lazy Load started working again.

    Appears to be some conflict with Autooptimize and Firefox. ???

    I’ll check the Autooptimize support pages.

    PS – I did attempt to clear the cache (Autooptimize and Firefox) before all this.

    The Autooptimize support pages has a notice:

    “If you are encountering issues with JS optimization after having upgraded to WordPress 5.5, then chances are very big this is due to the removal of jQuery migrate from WordPress core (which is the first step in updating the ancient jQuery version in WordPress core to a more recent one).

    To undo this change which indeed can lead to unexpected behaviors in some themes or plugins who run older code, you can install the “Enable jQuery Migrate Helper“-plugin which re-instates jquery-migrate.min.js for your site.”

    I did install the jQuery Migrate Helper plugin and it appears that fixed the problems immediately with Autooptimize which…. allowed your plugin and a few others to operate normally.

    Now to figure out which plugins still use jQuery 🙂

    @bjrnet21 Man I love you, Really!

    Plugin Author opinion stage

    (@opinionstage)

    Hi all!
    This issue should be completely resolved, so closing this ticket.
    If you experience any additional issues related to this, please feel free to re-open the ticket!
    Best,
    O/S Team.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Conflict with WordPress 5.5’ is closed to new replies.